# Update a storage adapter Updates the configuration, priorities, or storage class of an existing adapter instance. Request: id - ID of the adapter to update. name - Optional new display name. storageClass - Optional new storage class. retrievalPriority - Optional new retrieval priority. uploadPriority - Optional new upload priority. config - Optional new type-specific configuration. Response: The updated adapter instance with all applied changes, including the current name, storage class, priority settings, and configuration. Endpoint: POST /api/v1/content/update-adapter Version: 3.0 Security: bearerAuth ## Request fields (application/json): - `id` (string) Rule data fields - `name` (string) Rule data fields - `storageClass` (integer) common structs Enum: 0, 1, 2, 3, 4 - `retrievalPriority` (integer) - `uploadPriority` (integer) - `config` (any) ## Response 200 fields (application/json): - `id` (string) Rule data fields - `name` (string) Rule data fields - `adapterType` (integer) Enum: 0, 2, 3, 5 - `storageClass` (integer) common structs Enum: 0, 1, 2, 3, 4 - `retrievalPriority` (integer) - `uploadPriority` (integer) - `config` (any) - `createdDt` (object) - `createdDt.seconds` (integer) - `createdDt.nanos` (integer) - `updatedDt` (object) - `deletedDt` (object) ## Response 400 fields (application/json): - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 403 fields (application/json): - `message` (string) ## Response 404 fields (application/json): - `message` (string) ## Response 409 fields (application/json): - `message` (string) ## Response 429 fields (application/json): - `message` (string) ## Response 499 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string) ## Response 501 fields (application/json): - `message` (string) ## Response 503 fields (application/json): - `message` (string) ## Response 504 fields (application/json): - `message` (string)